> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# Listar procedimientos

GET https://api.elevenlabs.io/v1/convai/agents/{agent_id}/branches/{branch_id}/procedures

Enumera los procedimientos vinculados a esta rama de agente. De forma predeterminada, los borradores sin publicar tienen prioridad sobre la última versión confirmada. Pasa agent_version_id para enumerar una instantánea publicada. has_draft es true cuando un procedimiento tiene cambios de borrador sin publicar en esta rama. No se incluye el contenido del procedimiento; usa Get Procedure para leer el cuerpo de un procedimiento.

Reference: https://elevenlabs.io/docs/eleven-agents/api-reference/agents/procedures/list

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Request

### Path parameters

- `agent_id` (string, required) — ID del agente del que obtener el borrador del procedimiento
- `branch_id` (string, required) — ID de rama desde la que obtener el borrador del procedimiento

### Query parameters

- `agent_version_id` (string, optional) — El ID de versión del agente para el que se recuperará el procedimiento.

## Response

### 200

Respuesta correcta.

- `procedures` (list of ProcedureListItemResponseModel, required) — Procedimientos de la rama con sus metadatos compatibles con borradores.

## Errors

### 422 Procedures List Request Unprocessable Entity Error

Error de validación

- `detail` (list of ValidationError, optional)

## Types

### ProcedureListItemResponseModel

- `procedure_id` (string, required) — ID del procedimiento
- `has_draft` (boolean, required) — True cuando el procedimiento tiene cambios de borrador sin publicar en esta rama (un procedimiento recién creado o editado que aún no se ha publicado). Cuando es true, el nombre, el tipo y el desencadenante reflejan ese borrador.
- `version_id` (string, optional) — ID de versión de una versión del procedimiento. Ninguno para un procedimiento que nunca se ha versionado.
- `name` (string, optional, default: ) — Nombre del procedimiento
- `type` (enum, optional, default: free_form) — Tipo de procedimiento
  - Allowed values: `free_form`, `deterministic`, `folder`
- `trigger` (string, optional, default: ) — Cuándo debe usar el agente este procedimiento. Una cadena vacía significa que es un subprocedimiento que solo debe iniciarse cuando otro procedimiento haga referencia a él.
- `referenced_tool_ids` (list of string, optional) — ID de herramientas referenciados en el contenido del procedimiento
- `referenced_kb_ids` (list of string, optional) — ID de bases de conocimientos a los que se hace referencia en el contenido del procedimiento
- `referenced_procedure_ids` (list of string, optional) — ID de procedimientos a los que se hace referencia en el contenido del procedimiento
- `referenced_dynamic_variables` (list of string, optional) — Nombres de variables dinámicas utilizados en el contenido del procedimiento
- `folder_parent_id` (string, optional) — ID del procedimiento de la carpeta en la que se encuentra este procedimiento. None significa raíz.

### ValidationError

- `loc` (list of ValidationErrorLocItem, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItem

## Examples

**Response**

```json
{
  "procedures": [
    {
      "procedure_id": "agtprc_6qbpwdq8n01bxhk44bgjy6f10ck3",
      "has_draft": false,
      "version_id": "agtprcv_7rbqxer9o12cyxi55ckw6sgz1dl4",
      "name": "Customer Support Procedure",
      "type": "free_form",
      "trigger": "When the customer asks for support",
      "referenced_tool_ids": [
        "tool_123"
      ],
      "referenced_kb_ids": [
        "kb_123"
      ],
      "referenced_procedure_ids": [
        "agtprc_other"
      ],
      "referenced_dynamic_variables": [
        "customer_id"
      ],
      "folder_parent_id": "folder_parent_id"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.elevenlabs.io/v1/convai/agents/agent_3701k3ttaq12ewp8b7qv5rfyszkz/branches/agtbranch_0901k4aafjxxfxt93gd841r7tv5t/procedures"

querystring = {"agent_version_id":"agent_version_id"}

response = requests.get(url, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.elevenlabs.io/v1/convai/agents/agent_3701k3ttaq12ewp8b7qv5rfyszkz/branches/agtbranch_0901k4aafjxxfxt93gd841r7tv5t/procedures?agent_version_id=agent_version_id';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/convai/agents/agent_3701k3ttaq12ewp8b7qv5rfyszkz/branches/agtbranch_0901k4aafjxxfxt93gd841r7tv5t/procedures?agent_version_id=agent_version_id"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/convai/agents/agent_3701k3ttaq12ewp8b7qv5rfyszkz/branches/agtbranch_0901k4aafjxxfxt93gd841r7tv5t/procedures?agent_version_id=agent_version_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.elevenlabs.io/v1/convai/agents/agent_3701k3ttaq12ewp8b7qv5rfyszkz/branches/agtbranch_0901k4aafjxxfxt93gd841r7tv5t/procedures?agent_version_id=agent_version_id")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.elevenlabs.io/v1/convai/agents/agent_3701k3ttaq12ewp8b7qv5rfyszkz/branches/agtbranch_0901k4aafjxxfxt93gd841r7tv5t/procedures?agent_version_id=agent_version_id');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/convai/agents/agent_3701k3ttaq12ewp8b7qv5rfyszkz/branches/agtbranch_0901k4aafjxxfxt93gd841r7tv5t/procedures?agent_version_id=agent_version_id");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/convai/agents/agent_3701k3ttaq12ewp8b7qv5rfyszkz/branches/agtbranch_0901k4aafjxxfxt93gd841r7tv5t/procedures?agent_version_id=agent_version_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```